@echo off
rem figlist for Windows 2000
rem by Lionel Fourquaux [lionel.fourquaux@wanadoo.fr]

setlocal enableextensions

if .%1 == . (
	for /f "tokens=*" %%a in ('figlet -I2') do set FONTDIR=%%a
) else (
	if .%1 NEQ .-d goto usage
	if .%2 == . goto usage
	if .%3 NEQ . goto usage
	set FONTDIR=%2
)

for /f "tokens=*" %%a in ('figlet -I3') do set FONT=%%a
echo Default font: %FONT%
echo Font directory: %FONTDIR%
if not exist "%FONTDIR%" (echo Directory does not exist& goto :EOF)
cd /d "%FONTDIR%"

if exist *.flf (
	echo Figlet fonts in this directory:
	for %%I in (*.flf) do echo %%~nI
) else (
	echo No figlet fonts in this directory
)
if exist *.flc (
	echo Figlet control files in this directory:
	for %%I in (*.flc) do echo %%~nI
) else (
	echo No figlet control files in this directory
)
goto :EOF

:usage
echo Usage: %~n0 [ -d directory ]

